import {StyleProp, Text, TextStyle} from 'react-native';
import {TouchableOpacity} from 'react-native';

interface MyClickableTextProps {
  textStyle?: StyleProp<TextStyle>;
  text: string;
  onPress?: () => void;
}

export function MyClickableText({textStyle, text, onPress}: MyClickableTextProps) {
  return (
    <TouchableOpacity onPress={onPress}>
      <Text style={textStyle}>{text}</Text>
    </TouchableOpacity>
  );
}
